<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('job_post_messages', function (Blueprint $table) {
            $table->boolean('isadmin_seen')->default(0)->after('job_request_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('job_post_messages', function (Blueprint $table) {
            $table->dropColumn('isadmin_seen');
        });
    }
};
